Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::HPaned Class Reference

A GtkHPaned C++ wrapper class. More...

`#include <xfc/gtk/paned.hh>`

Inheritance diagram for Xfc::Gtk::HPaned:

List of all members.

## Public Member Functions

Constructors

- HPaned ()
    Construct a new HPaned.
- virtual ~HPaned ()
    Destructor.

Accessors

- GtkHPaned * gtk_hpaned () const
    Get a pointer to the GtkHPaned structure.
- operator GtkHPaned * () const
    Conversion operator; safely converts a HPaned to a GtkHPaned pointer.

## Protected Member Functions

Constructor

- HPaned (GtkHPaned *hpaned, bool owns_reference=false)
    Construct a new HPaned from an existing GtkHPaned.

## Detailed Description

A GtkHPaned C++ wrapper class.

The HPaned widget is a container widget with two children arranged horizontally. The division between the two panes is adjustable by the user by dragging a handle. See Paned for details.

See also: the Paned Window HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::HPaned::HPaned | ( | GtkHPaned * | hpaned,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new HPaned from an existing GtkHPaned.

Parameters:

  | hpaned | A pointer to a GtkHPaned.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The hpaned can be a newly created GtkHPaned or an existing GtkHPaned (see G::Object::Object).

The documentation for this class was generated from the following file:

- paned.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3